# Landing BuzzWall

## Dev instructions

1. Execute `npm install` on the landing folder to install node dev dependencies.
2. Execute `bower install` on the landing folder to install bower frontend dependencies.

### On development environment

3. Execute `grunt dev` to compile LESS and JS files.
4. Execute `grunt watch` to monitor changes on LESS and JS files and recompile.

### On production environment

3. Execute `grunt build` to compile and minify LESS and JS files.
4. Upload contents of `/dist` folder to the web server.

## Using the following open source dependencies:

### Dev dependencies
* node.js / npm
* bower
* grunt
* grunt-contrib-watch
* grunt-banner
* time-grunt
* load-grunt-tasks
* grunt-contrib-watch
* grunt-contrib-cssmin
* grunt-autoprefixer
* grunt-contrib-less
* grunt-contrib-jshint
* grunt-uncss
* grunt-contrib-imagemin
* grunt-contrib-concat
* grunt-processhtml
* grunt-contrib-copy
* grunt-contrib-uglify

### Frontend dependencies
* bootstrap
* jquery
* respond
* html5shiv
* font-awesome
* Roboto font
* Roboto Slab font